# -*- encoding: utf-8 -*-

import pytest
from os.path import expanduser

from lib.disk import Disk

class TestDisk:
    def test_free_disk_space(self):
        assert Disk.free_disk_space("/etca") == None
        assert type(Disk.free_disk_space(expanduser("~"))) == int

    def test_path_writeble(self):
        assert Disk.path_writeble("/etca") == False
        assert Disk.path_writeble("/etc/passwd") == False
        assert Disk.path_writeble(expanduser("~")) == True

    def test_sizeof_fmt(self):
        assert Disk.sizeof_fmt(2691532) == "2.6 MiB"
